
%define fullname %{name}-%{version}
%define version 1.24
%define release 2mdk
%define name ffingerd

Name: %{name}
Summary: Secure finger daemon
Version: %{version}
Release: %{release}
Source: %{fullname}.tar.bz2
Group: Networking/Other
URL: http://www.inf.fu-berlin.de/~leitner/hacks.html
Packager: Oden Eriksson <oden@kvikkjokk.com>
Copyright: GPL
Prefix:    /usr
Docdir:    %{prefix}/doc
BuildRoot: /var/tmp/%{name}-buildroot

%description
Fefe's Finger Daemon is a secure fingerd which doesn't run as root,
doesn't give away vital info about your system, and does syslogging.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q %{fullname}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
install -d $RPM_BUILD_ROOT%{prefix}/{sbin,doc,man,man/man8}
install -m 644 ffingerd.8 $RPM_BUILD_ROOT/%{prefix}/man/man8
for i in NEWS README TODO; do
  install -m 644 -c $i $RPM_BUILD_ROOT%{prefix}/doc/$i
done
install -m 755 ffingerd $RPM_BUILD_ROOT%{prefix}/sbin/ffingerd

%post
# remove other fingerd's and add ffingerd. make a backup, too
cat /etc/inetd.conf | grep ffingerd > /tmp/ffingerd.test
if [ ! -s /tmp/ffingerd.test ]; then
     cp -f /etc/inetd.conf /etc/inetd.conf.rpmsave
     cat /etc/inetd.conf | grep -v in.fingerd | grep -v "End of inetd.conf" > /etc/inetd.conf
     echo "#" >> /etc/inetd.conf
     echo "# Fefe's finger daemon, a secure finger daemon" >> /etc/inetd.conf
     echo "#" >> /etc/inetd.conf
     echo "finger  stream  tcp     nowait  nobody  /usr/sbin/tcpd  /usr/sbin/ffingerd" >> /etc/inetd.conf
     echo >> /etc/inetd.conf
     echo "# End of inetd.conf" >> /etc/inetd.conf
fi
rm /tmp/ffingerd.test

# now restart inetd
if [ -f /var/run/inetd.pid ]; then
     kill -HUP `cat /var/run/inetd.pid` ;
else
     echo "Now you need to restart inetd" ;
fi

%postun
# restore the old config file, or try to at least
if [ -f /etc/inetd.conf.rpmsave ]; then
     mv /etc/inetd.conf.rpmsave /etc/inetd.conf ;
fi

# now restart inetd
if [ -f /var/run/inetd.pid ]; then
     kill -HUP `cat /var/run/inetd.pid` ;
else
     echo "Now you need to restart inetd" ;
fi

%files
%defattr(-,root,root)
%doc NEWS README TODO
%{prefix}/sbin/*
%{prefix}/man/man8/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.24-2mdk
- fix group
- spec helper fixes

* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
  [1.24]
- Repacked for Linux Mandrake
